// CAMReminderDoc.h -- document class
// Created 01/01/95 12:01 PM by AppMaker

#pragma once

#include <LSingleDoc.h>

class	CAMReminderData;
class	CMainWindow;

//----------
class	CAMReminderDoc : public LSingleDoc {

public:
						CAMReminderDoc	(LCommander	*inSuper);		// for New
						CAMReminderDoc	(LCommander	*inSuper,		// for Open
										 FSSpec		*inFileSpec);
	virtual				~CAMReminderDoc();

	virtual void		MakeWindows();

	virtual Boolean		IsModified();

	virtual void		DoAESave	(FSSpec		&inFileSpec,
									 OSType		inFileType);
	virtual void		DoSave();
	virtual void		DoRevert();
	virtual void		DoPrint();

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);

protected:
	CAMReminderData		*mData;
	CMainWindow		*mMainWindow;

	void				NameNewDoc();
	void				OpenFile	(FSSpec		&inFileSpec);
};
