// CMainWindow.h -- window class
// Created 01/01/95 12:01 PM by AppMaker

#pragma once

#include <LWindow.h>
#include <LListener.h>

class	CAMReminderData;
class	LStream;

class	LListBox;
class	LStdButton;
class	CAdd;

//----------
class	CMainWindow :	public LWindow,
						public LListener {
public:
	static	CMainWindow*	CreateMainWindow		(LCommander			*inSuperCommander,
													 CAMReminderData	*inData);

	static	CMainWindow*	CreateMainWindowStream	(LStream	*inStream);

						CMainWindow();
						CMainWindow		(LStream	*inStream);
	virtual				~CMainWindow();

	virtual void		DoAddReminder();
	virtual void		DoEditReminder();
	virtual void		DoDeleteReminder();

	virtual void		ObeyAdd		(CAdd		*dialog);

	virtual void		ListenToMessage		(MessageT	inMessage,
											 void		*ioParam);

	virtual Boolean		ObeyCommand			(CommandT	inCommand,
											 void		*ioParam = nil);
	virtual void		FindCommandStatus	(CommandT	inCommand,
											 Boolean	&outEnabled,
											 Boolean	&outUsesMark,
											 Char16		&outMark,
											 Str255		outName);
	virtual Boolean		FocusDraw();

protected:
	CAMReminderData		*mData;

// Panes in this window:
	LListBox			*mRemindersList;
	LStdButton			*mAddButton;
	LStdButton			*mEditButton;
	LStdButton			*mDeleteButton;

	virtual void		FinishCreateSelf();
};
